export declare class SurrealHTTP<TFetcher = typeof fetch> {
    private url;
    private authorization?;
    private _namespace?;
    private _database?;
    private fetch;
    constructor(url: string, { fetcher, }?: {
        fetcher?: TFetcher;
    });
    ready(): boolean;
    setTokenAuth(token: string): void;
    createRootAuth(username: string, password: string): void;
    clearAuth(): void;
    use({ ns, db }: {
        ns?: string;
        db?: string;
    }): void;
    get namespace(): string | undefined;
    get database(): string | undefined;
    request<T = unknown>(path: string, options?: {
        method?: "GET" | "POST" | "PUT" | "PATCH" | "DELETE";
        plainBody?: boolean;
        body?: Record<string, unknown> | string;
        searchParams?: URLSearchParams;
    }): Promise<T>;
}
